Project

General

Profile

Bug #1036

Starting prelude-correlator: AttributeError: 'exceptions.ImportError' object has no attribute 'name' failed!

Added by Efim Boroda 7 months ago. Updated 5 months ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
-
Start date:
01/24/2019
Due date:
% Done:

0%

Resolution:

Description

Get update os OS on my Correlator host and after it got that problem:

[....] Starting prelude-correlator : prelude-correlator
*** Initialization MyModule module (0.0.1)
Traceback (most recent call last):
  File "/usr/bin/prelude-correlator", line 9, in <module>
    load_entry_point('prelude-correlator==3.0.1', 'console_scripts', 'prelude-correlator')()
  File "/usr/lib/python2.7/dist-packages/preludecorrelator/main.py", line 250, in main
    runCorrelator()
  File "/usr/lib/python2.7/dist-packages/preludecorrelator/main.py", line 194, in runCorrelator
    env = Env(options)
  File "/usr/lib/python2.7/dist-packages/preludecorrelator/main.py", line 46, in __init__
    self.pluginmanager = pluginmanager.PluginManager(self)
  File "/usr/lib/python2.7/dist-packages/preludecorrelator/pluginmanager.py", line 87, in __init__
    plugin_class = fct(e)
  File "/usr/lib/python2.7/dist-packages/preludecorrelator/pluginmanager.py", line 156, in _load_entrypoint
    logger.error("[%s]: import error: %s", e.name, e)
AttributeError: 'exceptions.ImportError' object has no attribute 'name'
 failed!

Debian 9
Python 2.7.2
prelude-correlator==3.0.1
prelude-correlator-pro==3.0.0
prelude-omplib==3.0.0
preludedb==3.0.3
prewikka==3.0.2
prewikka-updatedb==3.0.0
prewikkapro==3.0.3
prewikkapro-updatedb==3.0.0

History

#1 Updated by Antoine LUONG 5 months ago

  • Status changed from New to Closed

Hello,

As this does not concern the OSS version, please notify your support contact with this thread's information.

Thank you.

Regards

Also available in: Atom PDF